SimplePostTool (Solr 3.6.2 API)
Keywords: org.apache.solr.util.SimplePostTool class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class SimplePostTool

    java.lang.Object
      org.apache.solr.util.SimplePostTool

    public class SimplePostTool

extends Object

A simple utility class for posting raw updates to a Solr server, has a main method so it can be run on the command line.

Field Summary
`static String` | `DEFAULT_DATA_TYPE`
`static String` | `DEFAULT_POST_URL`
`protected URL` | `solrUrl`
`static String` | `VERSION_OF_THIS_TOOL`

Constructor Summary
`SimplePostTool(URL solrUrl)` Constructs an instance for posting data to the specified Solr URL (ie: "http://localhost:8983/solr/update")

Method Summary
`void` | `commit()` Does a simple commit operation
`static void` | `doGet(String url)` Performs a simple get on the given URL
`static void` | `doGet(URL url)` Performs a simple get on the given URL
`static void` | `main(String[] args)`
`void` | `optimize()` Does a simple optimize operation
`void` | `postData(InputStream data, Integer length, OutputStream output)` Deprecated. use `postData(InputStream, Integer, OutputStream, String)` instead
`void` | `postData(InputStream data, Integer length, OutputStream output, String type)` Reads data from the data stream and posts it to solr, writes to the response to output
`void` | `postFile(File file, OutputStream output)` Deprecated. use `postFile(File, OutputStream, String)` instead
`void` | `postFile(File file, OutputStream output, String type)` Opens the file and posts it's contents to the solrUrl, writes to response to output.
`static InputStream` | `stringToStream(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_POST_URL

    public static final String DEFAULT_POST_URL

See Also:
  Constant Field Values

### VERSION_OF_THIS_TOOL

    public static final String VERSION_OF_THIS_TOOL

See Also:
  Constant Field Values

### DEFAULT_DATA_TYPE

    public static final String DEFAULT_DATA_TYPE

See Also:
  Constant Field Values

### solrUrl

    protected URL solrUrl

Constructor Detail

### SimplePostTool

    public SimplePostTool(URL solrUrl)

  Constructs an instance for posting data to the specified Solr URL (ie: "http://localhost:8983/solr/update")

Method Detail

### main

    public static void main(String[] args)

### commit

    public void commit()

  Does a simple commit operation

### optimize

    public void optimize()

  Does a simple optimize operation

### postFile

    public void postFile(File file,
                         OutputStream output)

  Deprecated. use `postFile(File, OutputStream, String)` instead

### postFile

    public void postFile(File file,
                         OutputStream output,
                         String type)

  Opens the file and posts it's contents to the solrUrl, writes to response to output.

  Throws:
    `UnsupportedEncodingException`

### doGet

    public static void doGet(String url)

  Performs a simple get on the given URL

  Parameters:
    `url` -

### doGet

    public static void doGet(URL url)

  Performs a simple get on the given URL

  Parameters:
    `url` -

### postData

    @Deprecated
    public void postData(InputStream data,
                                    Integer length,
                                    OutputStream output)

  Deprecated. use `postData(InputStream, Integer, OutputStream, String)` instead

### postData

    public void postData(InputStream data,
                         Integer length,
                         OutputStream output,
                         String type)

  Reads data from the data stream and posts it to solr, writes to the response to output

### stringToStream

    public static InputStream stringToStream(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD